Installation du paquet XULRunner

Talend ESB Guide d'installation pour Linux

EnrichVersion
6.4
EnrichProdName
Talend ESB
task
Installation et mise à niveau

Sous Linux, le paquet XULRunner est requis pour exécuter le Studio.

La version du paquet XULRunner qui est recommandée est la version 1.9.2.28.

Les versions supportées sont les versions 1.8.x - 1.9.x et 3.6.x.

  1. Téléchargez la version 1.9.2.28 de XULRunner depuis ce site.

  2. Décompressez le fichier archive dans le même répertoire que celui où vous avez décompressé l'archive du Studio, et non à l'intérieur du dossier du Studio.

  3. Ajoutez la ligne suivante à la fin du fichier .ini du Studio correspondant à votre architecture Linux :

    -Dorg.eclipse.swt.browser.XULRunnerPath=</usr/lib/xulrunner>

    </usr/lib/xulrunner> correspond au dossier d'installation de xulrunner.

    Par exemple, si vous avez décompressé le Studio dans un répertoire situé dans le répertoire home de votre répertoire utilisateur tel que /home/<user>/Talend/, vous devez ajouter la ligne suivante au fichier .ini de votre Studio :

    -Dorg.eclipse.swt.browser.XULRunnerPath=/home/<user>/Talend/xulrunner/